man.output.encoding
Prev | Output | Next

## man.output.encoding

man.output.encoding — Encoding used for man-page output

## Synopsis

    <xsl:param name="man.output.encoding">UTF-8</xsl:param>

## Description

This parameter specifies the encoding to use for files generated by the manpages stylesheet. Not all processors support specification of this parameter.

### Important

If the value of the `man.charmap.enabled` parameter is non-zero (the default), keeping the `man.output.encoding` parameter at its default value (`UTF-8`) or setting it to `UTF-16` does not cause your man pages to be output in raw UTF-8 or UTF-16 -- because any Unicode characters for which matches are found in the enabled character map will be replaced with roff escape sequences before the final man-page files are generated.

So if you want to generate "real" UTF-8 man pages, without any character substitution being performed on your content, you need to set `man.charmap.enabled` to zero (which will completely disable character-map processing).

You may also need to set `man.charmap.enabled` to zero if you want to output man pages in an encoding other than `UTF-8` or `UTF-16`. Character-map processing is based on Unicode character values and may not work with other output encodings.

Prev | Up | Next
man.output.quietly | Home | Other